<?php
/*
Plugin Name: bbPress - Admin Topic Tags
Description: add tags column to admin overview of topics
Author: Sven Denkert <sven@galiator.de>
Author URI: http://www.galiator.de
Plugin URI: http://www.galiator.de/wordpress/bbpress-admin-topic-tags
Version: 0.1
*/

// only for admin and tags option enabled
if( is_admin() && (bool)get_option( '_bbp_allow_topic_tags', 1 ) ) {

	// adding tags for topics
	add_filter( 'bbp_admin_topics_column_headers', 'bbpress_admin_topic_headers' );
	add_action( 'bbp_admin_topics_column_data', 'bbpress_admin_topic_data', 10, 2 );
	function bbpress_admin_topic_headers( $columns ) {
		$columns['bbp_topic_tags'] = __( 'Tags' );
		return $columns;
	}
	function bbpress_admin_topic_data( $column, $topicId ) {
		switch( $column ) {
			case 'bbp_topic_tags' :
				$tags = get_the_terms( $topicId, 'topic-tag' );
				$tagparent = "edit.php?post_type=topic&amp;";
				if ( !empty( $tags ) ) {
					$out = array();
					foreach ( $tags as $tag ) {
						$out[] = "<a href='".$tagparent."topic-tag=$tag->slug'>".
								esc_html(sanitize_term_field('name', $tag->name, $tag->term_id, 'post_tag', 'display')).
								"</a>";
					}
					echo join( ', ', $out );
				}
				break;
			default:
				break;
		}
	}

}